def dechiffrement_affine(a,b,lettre):
    lettre = lettre.upper()
    x = ascii_uppercase.index(lettre)
    i = 0 # calcule l'inverse de a modulo 26
    while (a*i%26 != 1):
        i = i + 1
    y = ( i * (x-b) ) % 26 # calcule le rang de la lettre initiale
    return ascii_uppercase[y]
